Subject: Re: BUG #19095: Test if function exit() is used fail when linked static

From: Michael Paquier <[email-masked]>
Date: Wed, 18 Feb 2026 17:19:16 +0900

On Wed, Feb 18, 2026 at 09:49:47AM +0530, VASUKI M wrote:
> You are absolutely right — with a stamp file, we need to ensure that its
> timestamp is updated unconditionally so that it remains newer than the
> inputs. Keeping the existence check (if (! -f ...)) would indeed leave the
> stamp file older than the rebuilt library, which can trigger unnecessary
> rebuilds in Makefile-based builds.

Yep, point taken.  I have applied this adjustment a couple of minutes
ago.  Thanks for the report.
--
Michael